about summary refs log tree commit diff
path: root/test/pamscale-reportonly.test
diff options
context:
space:
mode:
authorgiraffedata <giraffedata@9d0c8265-081b-0410-96cb-a4ca84ce46f8>2019-09-22 15:10:06 +0000
committergiraffedata <giraffedata@9d0c8265-081b-0410-96cb-a4ca84ce46f8>2019-09-22 15:10:06 +0000
commit270c5f0ef4747ad5a1a418659213514be6cd1bda (patch)
treee09259abd808ac7e9a4c2494e1ccefa0d08ef991 /test/pamscale-reportonly.test
parent3e6bd495a661107cabb91df9e693151addae3f20 (diff)
downloadnetpbm-mirror-270c5f0ef4747ad5a1a418659213514be6cd1bda.tar.gz
netpbm-mirror-270c5f0ef4747ad5a1a418659213514be6cd1bda.tar.xz
netpbm-mirror-270c5f0ef4747ad5a1a418659213514be6cd1bda.zip
Miscellaneous test updates
git-svn-id: http://svn.code.sf.net/p/netpbm/code/trunk@3686 9d0c8265-081b-0410-96cb-a4ca84ce46f8
Diffstat (limited to 'test/pamscale-reportonly.test')
-rwxr-xr-xtest/pamscale-reportonly.test42
1 files changed, 29 insertions, 13 deletions
diff --git a/test/pamscale-reportonly.test b/test/pamscale-reportonly.test
index 7205be2f..45a38687 100755
--- a/test/pamscale-reportonly.test
+++ b/test/pamscale-reportonly.test
@@ -2,6 +2,8 @@
 # This script tests: pamscale
 # Also requires:
 
+echo "Test 1"
+
 pamscale -reportonly 3 testimg.ppm
 pamscale -reportonly 5 testimg.ppm
 pamscale -reportonly -xysize 640 400 testimg.ppm
@@ -15,21 +17,35 @@ pamscale -reportonly -width=640 -yscale=2 testimg.ppm
 pamscale -reportonly -xscale=1.4 -height=400 testimg.ppm
 pamscale -reportonly -pixels=45000 testimg.ppm
 
-# expected error cases
+echo "Test Invalid"
+
+tmpdir=${tmpdir:-/tmp}
+test_out=${tmpdir}/test_out
+
+# Expected failure cases
+
 echo 1>&2
 echo "Invalid command-line argument combinations." 1>&2
 echo "Error messages should appear below the line." 1>&2
 echo "-----------------------------------------------------------" 1>&2
-pamscale -reportonly -xsize=640 -ysize=400 -xscale=2 testimg.ppm || \
-  echo expected error
-pamscale -reportonly -xsize=640 -xscale=2 -yscale=3 testimg.ppm || \
-  echo expected error
-pamscale -reportonly -xsize=640 -ysize=400 -pixels=200000 testimg.ppm || \
-  echo expected error
-pamscale -reportonly -xsize=640 -ysize=400 -xysize 640 400 testimg.ppm || \
-  echo expected error
-pamscale -reportonly -xsize=640 -ysize=400 -xyfit  640 400 testimg.ppm || \
-  echo expected error
-pamscale -reportonly -xsize=640 -ysize=400 -xyfill 640 400 testimg.ppm || \
-  echo expected error
 
+pamscale -reportonly -xsize=640 -ysize=400 -xscale=2 testimg.ppm > \
+  ${test_out} \
+  || echo -n "Expected failure 1"; test -s ${test_out}; echo " "$?
+pamscale -reportonly -xsize=640 -xscale=2 -yscale=3 testimg.ppm > \
+  ${test_out} \
+  || echo -n "Expected failure 2"; test -s ${test_out}; echo " "$?
+pamscale -reportonly -xsize=640 -ysize=400 -pixels=200000 testimg.ppm \
+  > ${test_out} || \
+  echo -n "Expected failure 3"; test -s ${test_out}; echo " "$?
+pamscale -reportonly -xsize=640 -ysize=400 -xysize 640 400 testimg.ppm \
+  > ${test_out} || \
+  echo -n "Expected failure 4"; test -s ${test_out}; echo " "$?
+pamscale -reportonly -xsize=640 -ysize=400 -xyfit  640 400 testimg.ppm \
+  > ${test_out} || \
+  echo -n "Expected failure 5"; test -s ${test_out}; echo " "$?
+pamscale -reportonly -xsize=640 -ysize=400 -xyfill 640 400 testimg.ppm \
+  > ${test_out} || \
+  echo -n "Expected failure 6"; test -s ${test_out}; echo " "$?
+
+rm ${test_out}